Get Community Group Feed
curl --request GET \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/feed \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/feed"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"posts": [
{
"id": 615,
"type": "discussion",
"title": "Friday gathering",
"body": "What should we cover during our next gathering?",
"published_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
},
"comments": [
{
"id": 914,
"body": "Thank you for sharing this. I will be there.",
"created_at": "2026-07-18T10:15:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
}
}
]
}
],
"study_guides": [
{
"id": 77,
"title": "Serving One Another",
"content": "Read Galatians 5:13 and discuss practical ways to serve this week.",
"source_url": "https://example.com/study-guides/serving-one-another",
"created_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
}
}
]
}
}Community Groups
Get Community Group Feed
Returns group posts, comments, and study guides for an active group member.
GET
/
v1
/
community-groups
/
{groupId}
/
feed
Get Community Group Feed
curl --request GET \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/feed \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/feed"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"posts": [
{
"id": 615,
"type": "discussion",
"title": "Friday gathering",
"body": "What should we cover during our next gathering?",
"published_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
},
"comments": [
{
"id": 914,
"body": "Thank you for sharing this. I will be there.",
"created_at": "2026-07-18T10:15:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
}
}
]
}
],
"study_guides": [
{
"id": 77,
"title": "Serving One Another",
"content": "Read Galatians 5:13 and discuss practical ways to serve this week.",
"source_url": "https://example.com/study-guides/serving-one-another",
"created_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
}
}
]
}
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Response
Community group feed loaded.
The response is of type object.
Was this page helpful?
⌘I